# LIBMAWK_UNINITIALIZE

NAME
SYNOPSIS
DESCRIPTION
SEE ALSO

## NAME

libmawk_uninitialize − destroy a libmawk context

## SYNOPSIS

#include <libmawk.h>

void libmawk_uninitialize(mawk_state_t * m);

## DESCRIPTION

The libmawk_uninitialize() function destroys a context previously created using libmawk_initialize() or libmawk_initialize_stage1() call. It unloads scripts and frees all memory of the context.

## SEE ALSO

libmawk_initialize_stage(3libmawk), libmawk_initialize(3libmawk),